I do intend to do without the virtual machine version and try to re install VIDA first, I am convinced the errors has nothing to do with DiCE hardware, VIDA was failing to connect with DiCE before I removed Netframe Version 4.7 from my computer and this new error most likely is due to incorrect version of Java as you mentioned. Yes the laptop is old but functions very well, I have 130 GB hard drive and 4GB RAM that must be enough for VIDA, and dedicated the laptop to VIDA, erased old OS and started with a fresh Win 7 Pro install and then added VIDA. If I could, I rather not buy a new laptop for the sake of VIDA.